## Name

EDIT — Text editorEditor/Assembler/Debugger

## Synopsis

`edit` { `inputfile` } { `output` }

## Description

The Macro Text Editor is a powerful and easy to use text preparation system. It is commonly used to create source programs or other kinds of text files used within the OS-9 system. The editor has many features that make editing faster and more convenient. For example, most commands involve only one or two keystrokes.

The editor is kept in a file called “edit”, which should be present in your system's CMDS (execution) directory. To run the editor type:

    OS9: edit RETURN

The editor should load and start. When it prints the “E:” prompt, it is ready to accept a command. To quit, type a “Q” followed by a carriage return as follows:

    E: q RETURN